# $Revision: 1.29 $, $Date: 2006/05/21 22:27:12 $
%define	subver	9
%define	_rel	4
Summary:	WAN routing package for Sangoma cards
Summary(pl):	Pakiet do rutingu WAN dla kart Sangoma
Name:		wanpipe
Version:	2.3.0
Release:	%{subver}.%{_rel}
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.sangoma.com/linux/current_wanpipe/%{name}-%{version}-%{subver}.tgz
# Source0-md5:	f8ff399a2f9bb0afc3be418e401e7b30
Source1:	wanrouter.init
Source2:	wanrouter.sysconfig
Source3:	%{name}1.conf
Patch0:		%{name}-cfgtools.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-bins_sh.patch
URL:		http://www.sangoma.com/
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/wanpipe

%description
Multi-protocol WANPIPE Driver utilities for Linux Operating System.

%description -l pl
Narzdzia do wieloprotokoowego sterownika WANPIPE dla Linuksa.

%package cfgtools
Summary:	Configuration tools for wanpipe
Summary(pl):	Narzdzia konfiguracyjne do wanpipe
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description cfgtools
Menu-driven configuration tools for WANPIPE.

%description cfgtools -l pl
Narzdzia konfiguracyjne do WANPIPE w postaci menu.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p0

ln -sf . patches/kdrivers/include/linux

# hack to omit searching libncurses.so in somedirs/lib
touch util/lxdialog/ncurses

%build
%{__make} -C util \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig},/var/log} \
	$RPM_BUILD_ROOT%{_datadir}/wanrouter/{firmware,wancfg}

%{__make} -C util install \
	WAN_VIRTUAL=$RPM_BUILD_ROOT

install firmware/* $RPM_BUILD_ROOT%{_datadir}/wanrouter/firmware
install util/wancfg/lib/* $RPM_BUILD_ROOT%{_datadir}/wanrouter/wancfg

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/wanrouter
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/wanrouter
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT/var/log/wanrouter

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add wanrouter
%service wanrouter restart
if [ "$1" = 1 ]; then
	echo "Edit configuration files in %{_sysconfdir} and /etc/sysconfig/interfaces"
fi

%preun
if [ "$1" = "0" ]; then
	%service wanrouter stop
	/sbin/chkconfig --del wanrouter
fi

%files
%defattr(644,root,root,755)
%doc README doc samples
%attr(755,root,root) %{_sbindir}/sdladump
%attr(755,root,root) %{_sbindir}/wanconfig
%attr(755,root,root) %{_sbindir}/wanpipemon
%attr(755,root,root) %{_sbindir}/wpbwm
%attr(755,root,root) %{_sbindir}/wp_pppconfig
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/wanrouter
%attr(754,root,root) /etc/rc.d/init.d/wanrouter
%dir %{_datadir}/wanrouter
%{_datadir}/wanrouter/firmware
%attr(640,root,root) %ghost /var/log/wanrouter

%files cfgtools
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/cfgft1
%attr(755,root,root) %{_sbindir}/wancfg
%attr(755,root,root) %{_sbindir}/wanpipe_ft1exec
%attr(755,root,root) %{_sbindir}/wanpipe_lxdialog
%{_datadir}/wanrouter/wancfg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wanpipe.spec,v $
Revision 1.29  2006/05/21 22:27:12  glen
- rel 4

Revision 1.28  2006/03/13 23:14:32  glen
- use %service

Revision 1.27  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.26  2004/04/19 11:48:32  radek
- added -bins_sh.patch, release subver.3

Revision 1.25  2004/04/09 18:21:00  qboosh
- hack to fix build on amd64, release .2

Revision 1.24  2004/04/09 18:00:16  qboosh
- updated to 2.3.0-9, updated spec, patches and .sysconfig
- builds, don't know if works

Revision 1.23  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.22  2003/08/19 15:06:39  qboosh
- more specific Requires

Revision 1.21  2003/07/09 07:53:07  orzech
- nothing done yet :-(

Revision 1.20  2003/05/28 13:02:41  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/07/02 08:48:19  marcus
- use new %doc
- rel.3.

Revision 1.17  2002/02/23 05:04:58  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:15:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/09/25 14:19:27  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.13  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.11  2001/06/02 17:27:47  kloczek
- added ncurses-devel to BuildRequires,
- some cosmetics.

Revision 1.10  2001/06/02 15:18:01  zagrodzki
- added -ncurses patch

Revision 1.9  2001/05/03 01:14:04  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.8  2000/06/09 07:55:13  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:24:01  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.5  2000/05/03 10:26:53  jajcus
- updated to 2.1.3
- configuration tools subpackage added (those tools require bash)
- RPM_OPT_FLAGS used

Revision 1.4  2000/04/07 09:08:35  kloczek
- release 1,
- some cosmetics changes.

Revision 1.3  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.1  2000/03/19 16:36:38  jajcus
- new spec
